Bug 17414 - Add GIR codes added to Edifact since 1.2
Summary: Add GIR codes added to Edifact since 1.2
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-07 15:11 UTC by Colin Campbell
Modified: 2018-06-04 20:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
New 4 GIR codes have been added to Edifact since version 1.2. Now the list of recognized GIR codes is complete and these codes can be used in future development. LHC - Library Holding Code: may hold a combination of information including location, sequence, item type etc. as a single data string (contents defined by the library). LRP - Library Rotation Plan: a code number assigned by a library to identify a rotation plan to which an item belongs. LSC - Statistical category: a code used by a library to identify a statistical category (e.g. 605 or Children's Picture Books) for management reporting purposes. RIC - Reader Interest Category: code to identify stock at a lower level than LST (Stock Category) eg. Western, Science Fiction.
Version(s) released in:


Attachments
Proposed patch (996 bytes, patch)
2016-10-07 15:19 UTC, Colin Campbell
Details | Diff | Splinter Review
BUG 17414 Add new GIR codes in Edifact (1.03 KB, patch)
2016-10-11 08:02 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2016-10-07 15:11:53 UTC
4 new GIR codes have been added to Edifact since version 1.2
see
http://www.editeur.org/files/EDIfact%20eancom%20pdfs/EDIfact%20library%20supply/100204%20EDItEUR%20Library%20EDI%20changes.pdf

The following codes have been added to DE 7405:
LHC 

Library Holding Code: may hold a combination of information i
ncluding 
location
, sequence, item type etc. as a single data string (contents defined by the 
library).

LRP 

Library Rotation Plan: a code number assigned by a library to identify a 
rotation plan to which an item belongs.

LSC 

Statistical category: a c
ode used by a library to identify a statistical category 
(e.g. „605‟ or „Children‟s Picture Books‟) for management reporting purposes.

RIC 

Reader Interest Category: code to identify stock at a lower level than LST 
(Stock Category) 

eg. Western, Science Fiction.

These need to be added to list of recognized codes for future developments ( e.g. to include Stock Rotation intp in LRP ) to be able to utilize these
Comment 1 Colin Campbell 2016-10-07 15:19:25 UTC
Created attachment 56079 [details] [review]
Proposed patch

No new code merely adds the four new codes to the list so that extract_gir recognizes them.

This is to allow their use by future development
Comment 2 Kyle M Hall 2016-10-11 08:02:51 UTC
Created attachment 56132 [details] [review]
BUG 17414 Add new GIR codes in Edifact

Add the 4 GIR codes which were added by Editeur since 1.2
So that the list of recognized GIR codes is now complete

And thse codes can be used in future development

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Kyle M Hall 2016-10-11 08:04:11 UTC
Nonfunctional changes, moving directly to passed qa.
Comment 4 Brendan Gallagher 2016-10-14 07:33:04 UTC
Pushed to Master - Should be in the November 16.11 Release.  Thanks!
Comment 5 Katrin Fischer 2017-02-20 22:20:10 UTC
Some strange quotes in the 'text to go in the release notes' broke the release notes script here. I have removed them.